image: node:6

pipelines:
  custom:
    live-catchup:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp catchup -vv --user $live_ftp_user --passwd $live_ftp_pass ftp://$live_ftp_host/$live_site_folder
    live-push:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp push -vv --user $live_ftp_user --passwd $live_ftp_pass ftp://$live_ftp_host/$live_folder
    live-init:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp init -vv --user $live_ftp_user --passwd $live_ftp_pass ftp://$live_ftp_host/$live_folder
    staging-catchup:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp catchup --user $staging_ftp_user --passwd $staging_ftp_pass ftp://$staging_host/$staging_folder
    
    staging-push:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp push --user $staging_ftp_user --passwd $staging_ftp_pass ftp://$staging_host/$staging_folder
    staging-init:
      - step:
          script: # Modify the commands below to build your repository.
            - apt-get update
            - apt-get -qq install git-ftp
            - git ftp init --user $staging_ftp_user --passwd $staging_ftp_pass ftp://$staging_host/$staging_folder